Bug 176456 - s-c is killed by glibc when accessing IMAP-Servers
s-c is killed by glibc when accessing IMAP-Servers
Product: Fedora
Classification: Fedora
Component: sylpheed-claws (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-12-22 18:06 EST by Ralf Ertzinger
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.0-0.rc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-20 03:32:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
glibc backtrace (3.94 KB, text/plain)
2005-12-22 18:06 EST, Ralf Ertzinger
no flags Details
Backtrace and gdb session (11.27 KB, text/plain)
2006-01-13 05:15 EST, Ralf Ertzinger
no flags Details

  None (edit)
Description Ralf Ertzinger 2005-12-22 18:06:00 EST
Description of problem:
When accessing an IMAP account, s-c is killed by GLIBC because of a double free.
Backtrace is attached

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have an existing IMAP account (from an older version, for example)
2. Click on the inbox
Actual results:
s-c is terminated by glibc

Expected results:
opening of the inbox

Additional info:
starting s-c with MALLOC_CHECK_=0 prevents the crash, and the inbox is opened.
Comment 1 Ralf Ertzinger 2005-12-22 18:06:00 EST
Created attachment 122546 [details]
glibc backtrace
Comment 2 Andreas Bierfert 2005-12-22 18:44:54 EST
Will look into it ...
Comment 3 Andreas Bierfert 2005-12-28 04:18:03 EST
Could you check with 2.0.0 rc2? If it is still present or works for you now...
let me know please
Comment 4 Ralf Ertzinger 2006-01-13 05:14:39 EST
Still crashes, I am afraid.
Traceback with 2.0.0rc2 attached. Happened while selecting "Rebuild folder tree"
on an IMAP account.
Comment 5 Ralf Ertzinger 2006-01-13 05:15:54 EST
Created attachment 123155 [details]
Backtrace and gdb session
Comment 6 Andreas Bierfert 2006-01-19 04:24:58 EST
New version is out in devel ... here we go again...
Comment 7 Ralf Ertzinger 2006-01-19 04:28:10 EST
I was just about to write that the new version does not crash immediately when
connecting to an IMAP server. Will now use it and see if that holds.
Comment 8 Andreas Bierfert 2006-01-19 04:38:10 EST
Thanks for testing...
Comment 9 Andreas Bierfert 2006-01-20 03:32:40 EST
I will close this bug now. If you have other trouble with this feel free to
reopen or open a new bug.
Comment 10 Colin Leroy 2006-04-15 11:27:04 EDT
FYI, this bug has been fixed at 1.9.100cvs86 (just after 2.0.0-rc2 ;)

Note You need to log in before you can comment on or make changes to this bug.